GET/schedules/{scheduleId}

Get Schedule By Id

Retrieves details of a single schedule based on the provided scheduleId.
GET/schedules/{scheduleId}

Parameter Details

NameInTypeRequiredDescription
scheduleIdpathintegerRequiredUnique identifier for the schedules.

Responses

StatusMeaningDescriptionSchema
200OKOK
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
403ForbiddenForbidden - Access deniedNone
404Not FoundSchedule not foundNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X GET /schedules/{scheduleId} \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Example responses

200 Response
{
  "scheduleId": 201,
  "scheduleName": "sample_schedule_name",
  "shopId": 1,
  "year": "*",
  "month": "*",
  "dow": "*",
  "day": "*",
  "hour": "*",
  "minute": "20",
  "status": 1,
  "startDate": "2019-08-24",
  "endDate": "2019-08-24"
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.